Subject: Re: [PATCHv7 0/5 + 3] Interface group patches

From: Laszlo Attila Toth <[email-masked]>
Date: Thu, 29 Nov 2007 17:39:28 +0100

Patrick McHardy írta:
> Laszlo Attila Toth wrote:
>> Hello,
>>
>> This is the 7th version of our interface group patches.
> 
> 
>> Patches:
>>  [1/5] Remove unnecessary locks from rtnetlink (in do_setlink)
>>  [2/5] rtnetlink: send a single notification on device state changes
>>  [3/5] Interface group: core (netlink) part
>>  [4/5] Ifgroup read/write support in sysfs
> 
> I vote for these to go in, they're ready and there's no use in
> reposting them again and again.

I see, sorry.

In fact, I didn't missed it. But you said the removing of the locks in 
the rtnl needs a separate patch. This is why I resent _all_.

>>  [iptables]Interface group match
> 
> This one I would queue until we have released the 1.4.0 version
> of iptables. I don't want to release things that are not in
> at least a -rc kernel yet.

Later I'll resend it in two patches, one for extending iptables with 
hash tables and one for the ifgroup match.

> 
>>  [iproute2 1/2] Added IFLA_NET_NS_PID as in kernel v2.6.24-rc1
>>  [iproute2 2/2] Interface group as new ip link option
> 
> And for these Stephen has to decide, but both look fine to me.
> 
> 

-- 
Attila